Changeset b9ca4ba in rtems


Ignore:
Timestamp:
12/01/97 17:07:52 (26 years ago)
Author:
Joel Sherrill <joel.sherrill@…>
Branches:
4.10, 4.11, 4.8, 4.9, 5, master
Children:
ba1a2af9
Parents:
f4cec63d
Message:

Even more cleanup to make sure all the --enable/disable options avoid
generating Makefiles where possible.

Added code to make sure make/custom file and bsp directory exist for
configured bsps. This code also accounts for "aliased" BSPs.

Files:
2 edited

Legend:

Unmodified
Added
Removed
  • configure

    rf4cec63d rb9ca4ba  
    3737ac_help="$ac_help
    3838\
    39   --disable-tests                   disable tests"
     39    --enable-rtemsbsp=bsp1 bsp2 ..   BSPs to include in build"
    4040ac_help="$ac_help
    4141\
    42     --enable-hwapi                  enable hardware API library"
     42  --enable-tests                    enable tests"
    4343ac_help="$ac_help
    4444\
    45     --enable-rtemsbsp=bsp1 bsp2 ..   BSPs to include in build"
     45  --enable-hwapi                 enable hardware API library"
    4646
    4747# Initialize some variables set by options.
     
    13151315esac
    13161316
     1317# Override the set of BSPs to be built.
     1318# Check whether --enable-rtemsbsp or --disable-rtemsbsp was given.
     1319if test "${enable_rtemsbsp+set}" = set; then
     1320  enableval="$enable_rtemsbsp"
     1321  \
     1322      rtems_bsp=$enableval \
     1323
     1324fi
     1325
     1326
    13171327# Is this a supported CPU?
    13181328echo $ac_n "checking if cpu $target_cpu is supported""... $ac_c" 1>&6
    1319 echo "configure:1320: checking if cpu $target_cpu is supported" >&5
     1329echo "configure:1330: checking if cpu $target_cpu is supported" >&5
    13201330if test -d "$srcdir/c/src/exec/score/cpu/$target_cpu"; then
    13211331  echo "$ac_t""yes" 1>&6
     
    13281338
    13291339echo $ac_n "checking for Makefile.in in c/src/exec/rtems""... $ac_c" 1>&6
    1330 echo "configure:1331: checking for Makefile.in in c/src/exec/rtems" >&5
     1340echo "configure:1341: checking for Makefile.in in c/src/exec/rtems" >&5
    13311341if test -d $srcdir/c/src/exec/rtems; then
    13321342  rtems_av_save_dir=`pwd`;
     
    13421352
    13431353
     1354echo $ac_n "checking for Makefile.in in c/src/exec/sapi""... $ac_c" 1>&6
     1355echo "configure:1356: checking for Makefile.in in c/src/exec/sapi" >&5
     1356if test -d $srcdir/c/src/exec/sapi; then
     1357  rtems_av_save_dir=`pwd`;
     1358  cd $srcdir;
     1359  rtems_av_tmp=`find c/src/exec/sapi -name Makefile.in -follow -print | sed 's%\.in%%' | sort`;
     1360  makefiles="$makefiles $rtems_av_tmp";
     1361  cd $rtems_av_save_dir;
     1362  echo "$ac_t""done" 1>&6
     1363else
     1364  echo "$ac_t""no" 1>&6
     1365fi
     1366
     1367
     1368
     1369if test "$RTEMS_HAS_POSIX" = "yes"; then
     1370 
    13441371echo $ac_n "checking for Makefile.in in c/src/exec/posix""... $ac_c" 1>&6
    1345 echo "configure:1346: checking for Makefile.in in c/src/exec/posix" >&5
     1372echo "configure:1373: checking for Makefile.in in c/src/exec/posix" >&5
    13461373if test -d $srcdir/c/src/exec/posix; then
    13471374  rtems_av_save_dir=`pwd`;
     
    13561383
    13571384
    1358 
    1359 echo $ac_n "checking for Makefile.in in c/src/exec/sapi""... $ac_c" 1>&6
    1360 echo "configure:1361: checking for Makefile.in in c/src/exec/sapi" >&5
    1361 if test -d $srcdir/c/src/exec/sapi; then
    1362   rtems_av_save_dir=`pwd`;
    1363   cd $srcdir;
    1364   rtems_av_tmp=`find c/src/exec/sapi -name Makefile.in -follow -print | sed 's%\.in%%' | sort`;
    1365   makefiles="$makefiles $rtems_av_tmp";
    1366   cd $rtems_av_save_dir;
    1367   echo "$ac_t""done" 1>&6
    1368 else
    1369   echo "$ac_t""no" 1>&6
    1370 fi
    1371 
    1372 
    1373 
    1374 echo $ac_n "checking for Makefile.in in c/src/exec/wrapup""... $ac_c" 1>&6
    1375 echo "configure:1376: checking for Makefile.in in c/src/exec/wrapup" >&5
    1376 if test -d $srcdir/c/src/exec/wrapup; then
    1377   rtems_av_save_dir=`pwd`;
    1378   cd $srcdir;
    1379   rtems_av_tmp=`find c/src/exec/wrapup -name Makefile.in -follow -print | sed 's%\.in%%' | sort`;
    1380   makefiles="$makefiles $rtems_av_tmp";
    1381   cd $rtems_av_save_dir;
    1382   echo "$ac_t""done" 1>&6
    1383 else
    1384   echo "$ac_t""no" 1>&6
    1385 fi
    1386 
    1387 
     1385  makefiles="$makefiles c/src/exec/posix/Makefile"
     1386fi
    13881387
    13891388# find all the Makefiles for the BSPs
     
    13931392  if test -z "$rtems_bsp"; then
    13941393    echo $ac_n "checking for bsps""... $ac_c" 1>&6
    1395 echo "configure:1396: checking for bsps" >&5
     1394echo "configure:1395: checking for bsps" >&5
    13961395    files=`ls $srcdir/c/src/lib/libbsp/$target_cpu`
    13971396    for file in $files; do
     
    14101409  # collect makefiles for each bsp
    14111410  for i in $rtems_bsp; do
    1412    
    1413 echo $ac_n "checking for Makefile.in in c/src/lib/libbsp/$target_cpu/$i""... $ac_c" 1>&6
    1414 echo "configure:1415: checking for Makefile.in in c/src/lib/libbsp/$target_cpu/$i" >&5
    1415 if test -d $srcdir/c/src/lib/libbsp/$target_cpu/$i; then
     1411    # make sure there is a make/custom file for the bsp
     1412    if test ! -r "$srcdir/c/make/custom/${i}.cfg"; then
     1413      { echo "configure: error: no make/custom/${i}.cfg file for BSP $i" 1>&2; exit 1; }
     1414    fi
     1415
     1416    # account for "aliased" bsps which share source code
     1417    case $i in
     1418      mvme162lx)    bspdir=mvme162  ;;  # mvme162 board variant
     1419      gen68360_040) bspdir=gen68360 ;;  # 68360 in companion mode
     1420      go32_p5)      bspdir=go32     ;;  # go32 on Pentium class CPU
     1421      p4600)        bspdir=p4000    ;;  # p4000 board with IDT 4600
     1422      p4650)        bspdir=p4000    ;;  # p4000 board with IDT 4650
     1423      *)            bspdir=$i;;
     1424    esac
     1425
     1426    # Is there code where there should be for this BSP?
     1427    if test -d "$srcdir/c/src/lib/libbsp/$target_cpu/$bspdir"; then
     1428      RTEMS_BSP="$RTEMS_BSP $i"
     1429      # make sure the Makefiles in a bsp directory are only done once
     1430      echo $bspdirs | grep $bspdir >/dev/null 2>&1
     1431      if test $? -ne 0 ; then
     1432        bspdirs="$bspdirs $bspdir"
     1433       
     1434echo $ac_n "checking for Makefile.in in c/src/lib/libbsp/$target_cpu/$bspdir""... $ac_c" 1>&6
     1435echo "configure:1436: checking for Makefile.in in c/src/lib/libbsp/$target_cpu/$bspdir" >&5
     1436if test -d $srcdir/c/src/lib/libbsp/$target_cpu/$bspdir; then
    14161437  rtems_av_save_dir=`pwd`;
    14171438  cd $srcdir;
    1418   rtems_av_tmp=`find c/src/lib/libbsp/$target_cpu/$i -name Makefile.in -follow -print | sed 's%\.in%%' | sort`;
     1439  rtems_av_tmp=`find c/src/lib/libbsp/$target_cpu/$bspdir -name Makefile.in -follow -print | sed 's%\.in%%' | sort`;
    14191440  makefiles="$makefiles $rtems_av_tmp";
    14201441  cd $rtems_av_save_dir;
     
    14251446
    14261447
     1448      fi
     1449    else
     1450      { echo "configure: error: unable to find libbsp directory ($bspdir) for  $i" 1>&2; exit 1; }
     1451    fi
    14271452  done
    14281453fi
     
    14311456
    14321457echo $ac_n "checking for Makefile.in in c/src/lib/libcpu/$target_cpu""... $ac_c" 1>&6
    1433 echo "configure:1434: checking for Makefile.in in c/src/lib/libcpu/$target_cpu" >&5
     1458echo "configure:1459: checking for Makefile.in in c/src/lib/libcpu/$target_cpu" >&5
    14341459if test -d $srcdir/c/src/lib/libcpu/$target_cpu; then
    14351460  rtems_av_save_dir=`pwd`;
     
    14481473 
    14491474echo $ac_n "checking for Makefile.in in c/src/lib/start/$target_cpu""... $ac_c" 1>&6
    1450 echo "configure:1451: checking for Makefile.in in c/src/lib/start/$target_cpu" >&5
     1475echo "configure:1476: checking for Makefile.in in c/src/lib/start/$target_cpu" >&5
    14511476if test -d $srcdir/c/src/lib/start/$target_cpu; then
    14521477  rtems_av_save_dir=`pwd`;
     
    14801505
    14811506
    1482 RTEMS_BSP=$rtems_bsp
    14831507RTEMS_HOST=$host_os
    14841508RTEMS_ROOT=`cd $srcdir/c; pwd`
     
    14931517# If the tests are enabled, then find all the test suite Makefiles
    14941518echo $ac_n "checking Are the test suites enabled? ""... $ac_c" 1>&6
    1495 echo "configure:1496: checking Are the test suites enabled? " >&5
     1519echo "configure:1520: checking Are the test suites enabled? " >&5
     1520tests_enabled=yes
    14961521# Check whether --enable-tests or --disable-tests was given.
    14971522if test "${enable_tests+set}" = set; then
    14981523  enableval="$enable_tests"
    14991524  \
    1500    { echo "configure: error: no" 1>&2; exit 1; }
    1501 else
    1502   \
    1503    echo "$ac_t""yes" 1>&6 \
    1504      
     1525  case "${enableval}" in
     1526    yes) echo "$ac_t""yes" 1>&6 ;;
     1527    no)  echo "$ac_t""no" 1>&6 ; tests_enabled=no ;;
     1528    *)   { echo "configure: error: bad value ${enableval} for tests option" 1>&2; exit 1; } ;;
     1529  esac
     1530else
     1531  echo "$ac_t""yes" 1>&6
     1532
     1533fi
     1534
     1535
     1536if test "$tests_enabled" = "yes"; then
     1537   
    15051538echo $ac_n "checking for Makefile.in in c/src/tests/tools/$target_cpu""... $ac_c" 1>&6
    1506 echo "configure:1507: checking for Makefile.in in c/src/tests/tools/$target_cpu" >&5
     1539echo "configure:1540: checking for Makefile.in in c/src/tests/tools/$target_cpu" >&5
    15071540if test -d $srcdir/c/src/tests/tools/$target_cpu; then
    15081541  rtems_av_save_dir=`pwd`;
     
    15161549fi
    15171550
    1518  \
    1519     
     1551
     1552   
    15201553echo $ac_n "checking for Makefile.in in c/src/tests/libtests""... $ac_c" 1>&6
    1521 echo "configure:1522: checking for Makefile.in in c/src/tests/libtests" >&5
     1554echo "configure:1555: checking for Makefile.in in c/src/tests/libtests" >&5
    15221555if test -d $srcdir/c/src/tests/libtests; then
    15231556  rtems_av_save_dir=`pwd`;
     
    15311564fi
    15321565
    1533  \
    1534     
     1566
     1567   
    15351568echo $ac_n "checking for Makefile.in in c/src/tests/sptests""... $ac_c" 1>&6
    1536 echo "configure:1537: checking for Makefile.in in c/src/tests/sptests" >&5
     1569echo "configure:1570: checking for Makefile.in in c/src/tests/sptests" >&5
    15371570if test -d $srcdir/c/src/tests/sptests; then
    15381571  rtems_av_save_dir=`pwd`;
     
    15461579fi
    15471580
    1548  \
    1549     
     1581
     1582   
    15501583echo $ac_n "checking for Makefile.in in c/src/tests/tmtests""... $ac_c" 1>&6
    1551 echo "configure:1552: checking for Makefile.in in c/src/tests/tmtests" >&5
     1584echo "configure:1585: checking for Makefile.in in c/src/tests/tmtests" >&5
    15521585if test -d $srcdir/c/src/tests/tmtests; then
    15531586  rtems_av_save_dir=`pwd`;
     
    15611594fi
    15621595
    1563  \
    1564     
     1596
     1597   
    15651598echo $ac_n "checking for Makefile.in in c/src/tests/mptests""... $ac_c" 1>&6
    1566 echo "configure:1567: checking for Makefile.in in c/src/tests/mptests" >&5
     1599echo "configure:1600: checking for Makefile.in in c/src/tests/mptests" >&5
    15671600if test -d $srcdir/c/src/tests/mptests; then
    15681601  rtems_av_save_dir=`pwd`;
     
    15761609fi
    15771610
    1578  \
     1611
     1612   if test "$RTEMS_HAS_POSIX" = "yes"; then
    15791613     
    15801614echo $ac_n "checking for Makefile.in in c/src/tests/psxtests""... $ac_c" 1>&6
    1581 echo "configure:1582: checking for Makefile.in in c/src/tests/psxtests" >&5
     1615echo "configure:1616: checking for Makefile.in in c/src/tests/psxtests" >&5
    15821616if test -d $srcdir/c/src/tests/psxtests; then
    15831617  rtems_av_save_dir=`pwd`;
     
    15911625fi
    15921626
    1593  \
    1594 
    1595 fi
    1596 
     1627
     1628   fi
     1629fi
    15971630
    15981631# If the HWAPI is enabled, the find the HWAPI Makefiles
    15991632echo $ac_n "checking Is the HWAPI enabled? ""... $ac_c" 1>&6
    1600 echo "configure:1601: checking Is the HWAPI enabled? " >&5
     1633echo "configure:1634: checking Is the HWAPI enabled? " >&5
    16011634# Check whether --enable-hwapi or --disable-hwapi was given.
    16021635if test "${enable_hwapi+set}" = set; then
    16031636  enableval="$enable_hwapi"
    16041637  \
    1605       echo "$ac_t""yes" 1>&6 \
    1606        
     1638  case "${enableval}" in
     1639    yes) echo "$ac_t""yes" 1>&6
     1640         
    16071641echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi""... $ac_c" 1>&6
    1608 echo "configure:1609: checking for Makefile.in in c/src/lib/libhwapi" >&5
     1642echo "configure:1643: checking for Makefile.in in c/src/lib/libhwapi" >&5
    16091643if test -d $srcdir/c/src/lib/libhwapi; then
    16101644  rtems_av_save_dir=`pwd`;
     
    16181652fi
    16191653
    1620 
    1621 else
    1622   \
    1623       { echo "configure: error: no" 1>&2; exit 1; } \
    1624 
    1625 fi
    1626 
    1627 
    1628 # Check whether --enable-rtemsbsp or --disable-rtemsbsp was given.
    1629 if test "${enable_rtemsbsp+set}" = set; then
    1630   enableval="$enable_rtemsbsp"
    1631   \
    1632       RTEMS_BSP=$enableval \
     1654;;
     1655    no)  echo "$ac_t""no" 1>&6 ;;
     1656    *)  { echo "configure: error: bad value ${enableval} for hwapi option" 1>&2; exit 1; } ;;
     1657  esac
     1658else
     1659  echo "$ac_t""no" 1>&6
    16331660
    16341661fi
     
    16521679
    16531680echo $ac_n "checking for Makefile.in in c/build-tools""... $ac_c" 1>&6
    1654 echo "configure:1655: checking for Makefile.in in c/build-tools" >&5
     1681echo "configure:1682: checking for Makefile.in in c/build-tools" >&5
    16551682if test -d $srcdir/c/build-tools; then
    16561683  rtems_av_save_dir=`pwd`;
     
    16671694
    16681695echo $ac_n "checking for Makefile.in in c/make""... $ac_c" 1>&6
    1669 echo "configure:1670: checking for Makefile.in in c/make" >&5
     1696echo "configure:1697: checking for Makefile.in in c/make" >&5
    16701697if test -d $srcdir/c/make; then
    16711698  rtems_av_save_dir=`pwd`;
     
    16821709
    16831710echo $ac_n "checking for Makefile.in in c/src/lib/libmisc""... $ac_c" 1>&6
    1684 echo "configure:1685: checking for Makefile.in in c/src/lib/libmisc" >&5
     1711echo "configure:1712: checking for Makefile.in in c/src/lib/libmisc" >&5
    16851712if test -d $srcdir/c/src/lib/libmisc; then
    16861713  rtems_av_save_dir=`pwd`;
     
    16971724
    16981725echo $ac_n "checking for Makefile.in in c/src/tests/samples""... $ac_c" 1>&6
    1699 echo "configure:1700: checking for Makefile.in in c/src/tests/samples" >&5
     1726echo "configure:1727: checking for Makefile.in in c/src/tests/samples" >&5
    17001727if test -d $srcdir/c/src/tests/samples; then
    17011728  rtems_av_save_dir=`pwd`;
     
    18351862c/src/exec/score/tools/Makefile
    18361863c/src/exec/score/tools/generic/Makefile
     1864c/src/exec/wrapup/Makefile
     1865c/src/exec/wrapup/rtems/Makefile
    18371866c/src/lib/Makefile
    18381867c/src/lib/include/Makefile
     
    19772006c/src/exec/score/tools/Makefile
    19782007c/src/exec/score/tools/generic/Makefile
     2008c/src/exec/wrapup/Makefile
     2009c/src/exec/wrapup/rtems/Makefile
    19792010c/src/lib/Makefile
    19802011c/src/lib/include/Makefile
  • configure.in

    rf4cec63d rb9ca4ba  
    153153esac
    154154
     155# Override the set of BSPs to be built.
     156AC_ARG_ENABLE(rtemsbsp, \
     157  [  --enable-rtemsbsp=bsp1 bsp2 ..   BSPs to include in build], \
     158      rtems_bsp=$enableval \
     159)
     160
    155161# Is this a supported CPU?
    156162AC_MSG_CHECKING([if cpu $target_cpu is supported])
     
    164170# find all the Executive Makefiles
    165171RTEMS_CHECK_MAKEFILE(c/src/exec/rtems)
    166 RTEMS_CHECK_MAKEFILE(c/src/exec/posix)
    167172RTEMS_CHECK_MAKEFILE(c/src/exec/sapi)
    168 RTEMS_CHECK_MAKEFILE(c/src/exec/wrapup)
     173
     174if test "$RTEMS_HAS_POSIX" = "yes"; then
     175  RTEMS_CHECK_MAKEFILE(c/src/exec/posix)
     176  makefiles="$makefiles c/src/exec/posix/Makefile"
     177fi
    169178
    170179# find all the Makefiles for the BSPs
     
    190199  # collect makefiles for each bsp
    191200  for i in $rtems_bsp; do
    192     RTEMS_CHECK_MAKEFILE(c/src/lib/libbsp/$target_cpu/$i)
     201    # make sure there is a make/custom file for the bsp
     202    if test ! -r "$srcdir/c/make/custom/${i}.cfg"; then
     203      AC_MSG_ERROR([no make/custom/${i}.cfg file for BSP $i])
     204    fi
     205
     206    # account for "aliased" bsps which share source code
     207    case $i in
     208      mvme162lx)    bspdir=mvme162  ;;  # mvme162 board variant
     209      gen68360_040) bspdir=gen68360 ;;  # 68360 in companion mode
     210      go32_p5)      bspdir=go32     ;;  # go32 on Pentium class CPU
     211      p4600)        bspdir=p4000    ;;  # p4000 board with IDT 4600
     212      p4650)        bspdir=p4000    ;;  # p4000 board with IDT 4650
     213      *)            bspdir=$i;;
     214    esac
     215
     216    # Is there code where there should be for this BSP?
     217    if test -d "$srcdir/c/src/lib/libbsp/$target_cpu/$bspdir"; then
     218      RTEMS_BSP="$RTEMS_BSP $i"
     219      # make sure the Makefiles in a bsp directory are only done once
     220      echo $bspdirs | grep $bspdir >/dev/null 2>&1
     221      if test $? -ne 0 ; then
     222        bspdirs="$bspdirs $bspdir"
     223        RTEMS_CHECK_MAKEFILE(c/src/lib/libbsp/$target_cpu/$bspdir)
     224      fi
     225    else
     226      AC_MSG_ERROR([unable to find libbsp directory ($bspdir) for  $i])
     227    fi
    193228  done
    194229fi
     
    223258dnl AC_PROG_CXX
    224259
    225 RTEMS_BSP=$rtems_bsp
     260dnl RTEMS_BSP=$rtems_bsp
    226261RTEMS_HOST=$host_os
    227262RTEMS_ROOT=`cd $srcdir/c; pwd`
     
    236271# If the tests are enabled, then find all the test suite Makefiles
    237272AC_MSG_CHECKING([Are the test suites enabled? ])
     273tests_enabled=yes
    238274AC_ARG_ENABLE(tests, \
    239 [  --disable-tests                  disable tests], \
    240    AC_MSG_ERROR(no), \
    241    AC_MSG_RESULT(yes) \
    242      RTEMS_CHECK_MAKEFILE(c/src/tests/tools/$target_cpu) \
    243      RTEMS_CHECK_MAKEFILE(c/src/tests/libtests) \
    244      RTEMS_CHECK_MAKEFILE(c/src/tests/sptests) \
    245      RTEMS_CHECK_MAKEFILE(c/src/tests/tmtests) \
    246      RTEMS_CHECK_MAKEFILE(c/src/tests/mptests) \
    247      RTEMS_CHECK_MAKEFILE(c/src/tests/psxtests) \
     275[  --enable-tests                   enable tests], \
     276  [case "${enableval}" in
     277    yes) AC_MSG_RESULT(yes) ;;
     278    no)  AC_MSG_RESULT(no) ; tests_enabled=no ;;
     279    *)   AC_MSG_ERROR(bad value ${enableval} for tests option) ;;
     280  esac],
     281AC_MSG_RESULT(yes)
    248282)
     283
     284if test "$tests_enabled" = "yes"; then
     285   RTEMS_CHECK_MAKEFILE(c/src/tests/tools/$target_cpu)
     286   RTEMS_CHECK_MAKEFILE(c/src/tests/libtests)
     287   RTEMS_CHECK_MAKEFILE(c/src/tests/sptests)
     288   RTEMS_CHECK_MAKEFILE(c/src/tests/tmtests)
     289   RTEMS_CHECK_MAKEFILE(c/src/tests/mptests)
     290   if test "$RTEMS_HAS_POSIX" = "yes"; then
     291     RTEMS_CHECK_MAKEFILE(c/src/tests/psxtests)
     292   fi
     293fi
    249294
    250295# If the HWAPI is enabled, the find the HWAPI Makefiles
    251296AC_MSG_CHECKING([Is the HWAPI enabled? ])
    252297AC_ARG_ENABLE(hwapi, \
    253   [  --enable-hwapi                 enable hardware API library], \
    254       AC_MSG_RESULT(yes) \
    255         RTEMS_CHECK_MAKEFILE(c/src/lib/libhwapi), \
    256       AC_MSG_ERROR(no) \
    257 )
    258 
    259 AC_ARG_ENABLE(rtemsbsp, \
    260   [  --enable-rtemsbsp=bsp1 bsp2 ..   BSPs to include in build], \
    261       RTEMS_BSP=$enableval \
     298[  --enable-hwapi                 enable hardware API library], \
     299  [case "${enableval}" in
     300    yes) AC_MSG_RESULT(yes)
     301         RTEMS_CHECK_MAKEFILE(c/src/lib/libhwapi);;
     302    no)  AC_MSG_RESULT(no) ;;
     303    *)  AC_MSG_ERROR(bad value ${enableval} for hwapi option) ;;
     304  esac],
     305  AC_MSG_RESULT(no)
    262306)
    263307
     
    295339c/src/exec/score/tools/Makefile
    296340c/src/exec/score/tools/generic/Makefile
     341c/src/exec/wrapup/Makefile
     342c/src/exec/wrapup/rtems/Makefile
    297343c/src/lib/Makefile
    298344c/src/lib/include/Makefile
Note: See TracChangeset for help on using the changeset viewer.